Get all interactions with interaction party data replica

get

/api/boss/data/objects/ora/cxServiceCore/interaction/v1/$en/interactions/$views/interactionPartyDataReplica

Interactions track the communications associated with an object such as Account or Contact.

Request

Query Parameters
  • Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
  • Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
  • The resource collection will be queried using the specified filter condition.
  • Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
  • Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
    Default Value: 25
  • Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
    Default Value: 0
  • Orders a resource collection based on the specified fields. The parameter value is a comma-separated string of field names, each optionally followed by a colon and "asc" (default) or "desc".

There's no request body for this operation.

Back to Top

Response

Default Response

Successful response of retrieving view interactionPartyDataReplica for resource Interactions
Body ()
Root Schema : interactions_view-interactionPartyDataReplica
Match All
Interactions track the communications associated with an object such as Account or Contact.
Show Source
Nested Schema : __collection_context
Type: object
Show Source
Nested Schema : interactions_view-interactionPartyDataReplica-allOf[1]
Type: object
Interactions track the communications associated with an object such as Account or Contact.
Show Source
Nested Schema : totalItems
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : items-allOf[0]
Match All
Show Source
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : items-allOf[0]-allOf[1]
Type: object
Show Source
Nested Schema : items-allOf[1]
Type: object
Nested Schema : $context
Type: object
Show Source
Nested Schema : contact
Match All
Show Source
Nested Schema : contactPerson
Match All
Show Source
Nested Schema : customer
Match All
Show Source
Nested Schema : directionCode
Match All
The list of values for the direction of the interaction, either inbound or outbound.
Show Source
  • Title: Direction
    Default Value: ORA_SVC_INBOUND
    The list of values for the direction of the interaction, either inbound or outbound.
  • Allowed Values: [ "ORA_SVC_INBOUND", "ORA_SVC_OUTBOUND" ]
Nested Schema : ownerResource
Match All
Show Source
Nested Schema : stripeCode
Match All
The application stripe of the interaction.
Show Source
  • Title: Stripe Code
    Default Value: ORA_SVC_CRM
    The application stripe of the interaction.
  • Allowed Values: [ "ORA_SVC_CRM", "ORA_SVC_HRHD", "ORA_SVC_ISR" ]
Nested Schema : contact-allOf[1]
Type: object
Show Source
Nested Schema : firstName
Match All
Show Source
Nested Schema : id
Match All
Show Source
Nested Schema : lastName
Match All
Show Source
Nested Schema : name
Match All
Show Source
  • Read Only: true
  • Title: Name
    The combination of title, first, middle, last, and suffix names of the person.
Nested Schema : registryId
Match All
Show Source
  • Title: Registry ID
    The alternate identifier of the contact.
Nested Schema : contactPerson-allOf[1]
Type: object
Show Source
Nested Schema : effectiveEndDate
Match All
Show Source
  • Read Only: true
  • Title: Effective End Date
    Effective end date of person detail.
Nested Schema : effectiveStartDate
Match All
Show Source
  • Read Only: true
  • Title: Effective Start Date
    Effective start date of person detail.
Nested Schema : id
Match All
Show Source
Nested Schema : personNumber
Match All
Show Source
  • Read Only: true
  • Title: Person Number
    Person number accessor for person detail.
Nested Schema : customer-allOf[1]
Type: object
Show Source
Nested Schema : id
Match All
Show Source
Nested Schema : name
Match All
Show Source
Nested Schema : registryId
Match All
Show Source
  • Title: Registry ID
    The unique alternate identifier for the account party. You can update the value if the profile option HZ_GENERATE_PARTY_NUMBER is set to True. The default value is a concatenation of the value specified in the profile option ZCA_PUID_PREFIX and a unique system generated sequence number.
Nested Schema : ownerResource-allOf[1]
Type: object
Show Source
Nested Schema : person
Match All
Show Source
Nested Schema : person-allOf[1]
Type: object
Show Source
Nested Schema : id
Match All
Show Source
Nested Schema : registryId
Match All
Show Source
  • Title: Registry ID
    The alternate identifier of the contact.
Back to Top